Bug 32562 - Reindent the about page template
Summary: Reindent the about page template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks: 32571
  Show dependency treegraph
 
Reported: 2023-01-04 12:08 UTC by Owen Leonard
Modified: 2023-12-28 20:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32562: Reindent the about page template (141.81 KB, patch)
2023-01-05 12:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32562: (follow-up) Add markup comments (13.80 KB, patch)
2023-01-05 12:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32562: Reindent the about page template (141.87 KB, patch)
2023-01-05 18:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32562: (follow-up) Add markup comments (13.86 KB, patch)
2023-01-05 18:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32562: Reindent the about page template (141.92 KB, patch)
2023-01-06 16:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 32562: (follow-up) Add markup comments (13.91 KB, patch)
2023-01-06 16:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-01-04 12:08:58 UTC
I would like to reformat the about page template (about.tt) in the staff interface so that it has consistent spacing and indentation.
Comment 1 Owen Leonard 2023-01-05 12:01:40 UTC
Created attachment 145055 [details] [review]
Bug 32562: Reindent the about page template

This patch reindents the about page template so that it has consistent
indentation. These changes should have no visible effect on the page.

To test, apply the patch and view the about page. Everything should look
normal. All tabs should work correctly.

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.
Comment 2 Owen Leonard 2023-01-05 12:01:44 UTC
Created attachment 145056 [details] [review]
Bug 32562: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.
Comment 3 Lucas Gass 2023-01-05 18:54:22 UTC
Created attachment 145071 [details] [review]
Bug 32562: Reindent the about page template

This patch reindents the about page template so that it has consistent
indentation. These changes should have no visible effect on the page.

To test, apply the patch and view the about page. Everything should look
normal. All tabs should work correctly.

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Lucas Gass 2023-01-05 18:54:25 UTC
Created attachment 145072 [details] [review]
Bug 32562: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Kyle M Hall 2023-01-06 16:13:42 UTC
Created attachment 145088 [details] [review]
Bug 32562: Reindent the about page template

This patch reindents the about page template so that it has consistent
indentation. These changes should have no visible effect on the page.

To test, apply the patch and view the about page. Everything should look
normal. All tabs should work correctly.

Viewing the diff while ignoring whitespace changes should show only
places where a line break was added.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2023-01-06 16:13:53 UTC
Created attachment 145089 [details] [review]
Bug 32562: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2023-01-27 19:19:38 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 8 Matt Blenkinsop 2023-01-31 14:33:43 UTC
Nice work everyone!

Pushed to stable for 22.11.x